# -*- coding: utf-8 *-*
#
# Copyright 2011 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Inhibit session logout when busy."""

import sys


INHIBIT_LOGGING_OUT = 1
INHIBIT_USER_SWITCHING = 2
INHIBIT_SUSPENDING_COMPUTER = 4
INHIBIT_SESSION_IDLE = 8
INHIBIT_LOGOUT_SUSPEND = INHIBIT_LOGGING_OUT | INHIBIT_SUSPENDING_COMPUTER


if sys.platform == "win32":
    from ubuntuone.platform.windows import session
    source = session
else:
    from ubuntuone.platform.linux import session
    source = session
    SESSION_MANAGER_BUSNAME = source.SESSION_MANAGER_BUSNAME
    SESSION_MANAGER_IFACE = source.SESSION_MANAGER_IFACE
    SESSION_MANAGER_PATH = source.SESSION_MANAGER_PATH
    APP_ID = source.APP_ID
    TOPLEVEL_XID = source.TOPLEVEL_XID


Inhibitor = source.Inhibitor


def inhibit_logout_suspend(reason):
    """Inhibit the suspend and logout. The result can be cancelled."""
    return Inhibitor().inhibit(INHIBIT_LOGOUT_SUSPEND, reason)
